summaryrefslogtreecommitdiff
path: root/qa/840
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/840
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/840')
-rwxr-xr-xqa/84022
1 files changed, 22 insertions, 0 deletions
diff --git a/qa/840 b/qa/840
new file mode 100755
index 0000000..dad52be
--- /dev/null
+++ b/qa/840
@@ -0,0 +1,22 @@
+#!/bin/sh
+# PCP QA Test No. 840
+# Test that pmcd advertises its presence using avahi
+#
+# Copyright (c) 2013-2014 Red Hat. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+. ./common.avahi
+avahi_notrun_checks
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+service=pmcd
+avahi_verify
+status=0
+exit